// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.
/// 3.1.0 G1架构版本白板处理逻辑

part of whiteboard_core;

class _RoomWebWhiteBoardImp extends _RoomWebWhiteBoardAbstract {
  factory _RoomWebWhiteBoardImp() => _getInstance();

  static _RoomWebWhiteBoardImp get instance => _getInstance();

  static _RoomWebWhiteBoardImp? _instance;

  Future<WebViewController>? _controller;

  _RoomWebWhiteBoardImp._internal();

  static _RoomWebWhiteBoardImp _getInstance() {
    _instance ??= _RoomWebWhiteBoardImp._internal();
    return _instance!;
  }

  ///  ///  ///  ///  ///  ///  ///  ///  ///  ///  ///  ///
  ///  ///  ///  jsCallFlutter start
  ///  ///  ///  ///  ///  ///  ///  ///  ///  ///  ///  ///
  @override
  Future<String?> login(
    RoomWBLoginInfo whiteBoardUserInfo,
  ) async {
    _whiteBoardUrl = whiteBoardUserInfo.url;
    String? result;
    try {
        result =
        await evaluateJavascript(WhiteBoardWebAction.jsLoginIMAndJoinWB,
            params: whiteBoardUserInfo);
    } catch (e) {
      return e.toString();
    }
    return result;
  }


  Future<String?> leaveWB() async {
    String? result;
    try {
      result = await evaluateJavascript(WhiteBoardWebAction.webLeaveWB);
    } catch (e) {
      return e.toString();
    }
    return Future.value(result);
  }

  @override
  String getWhiteboardUrl() {
    return defaultWhiteBoardUrlG1;
  }
}
